### Signal

# Phosh NotifyManager::new-notification

since: 0

#### Declaration

    void
    new_notification (
      PhoshNotifyManager* self,
      PhoshNotification* notification,
      gpointer user_data
    )

#### Description [src]

Emitted when a new notification is received and a banner should (possibly) be shown.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0

#### Parameters

`notification`

  Type: `PhoshNotification`

  The new `PhoshNotification`.

  The data is owned by the caller of the function.